ActiveMQTopic (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ActiveMQTopic class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ActiveMQTopic

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIBaseStorable
          org.codehaus.activemq.message.ActiveMQDestination
              org.codehaus.activemq.message.ActiveMQTopic

All Implemented Interfaces:
  Comparable, Destination, JNDIStorableInterface, Referenceable, Serializable, Topic

Direct Known Subclasses:
  ActiveMQTemporaryTopic

public class ActiveMQTopic
extends ActiveMQDestination
implements Topic

A `Topic` object encapsulates a provider-specific topic name. It is the way a client specifies the identity of a topic to JMS API methods. For those methods that use a `Destination` as a parameter, a `Topic` object may used as an argument . For example, a Topic can be used to create a `MessageConsumer` and a `MessageProducer` by calling:

- `Session.CreateConsumer(Destination destination)`
- `Session.CreateProducer(Destination destination)`

Many publish/subscribe (pub/sub) providers group topics into hierarchies and provide various options for subscribing to parts of the hierarchy. The JMS API places no restriction on what a `Topic` object represents. It may be a leaf in a topic hierarchy, or it may be a larger part of the hierarchy.

The organization of topics and the granularity of subscriptions to them is an important part of a pub/sub application's architecture. The JMS API does not specify a policy for how this should be done. If an application takes advantage of a provider-specific topic-grouping mechanism, it should document this. If the application is installed using a different provider, it is the job of the administrator to construct an equivalent topic architecture and create equivalent `Topic` objects.

See Also:
  `Session.createConsumer(javax.jms.Destination)`, `Session.createProducer(javax.jms.Destination)`, `TopicSession.createTopic(String)`, Serialized Form

Field Summary

Fields inherited from class org.codehaus.activemq.message.ActiveMQDestination
`ACTIVEMQ_QUEUE, ACTIVEMQ_TEMPORARY_QUEUE, ACTIVEMQ_TEMPORARY_TOPIC, ACTIVEMQ_TOPIC`

Constructor Summary
`ActiveMQTopic()` Default constructor for an ActiveMQTopic Destination
`ActiveMQTopic(String name)` Construct a named ActiveMQTopic Destination

Method Summary
`protected Destination` | `createDestination(String name)` Factory method to create a child destination if this destination is a composite
`protected JMSDestinationStats` | `createDestinationStats()` Factory method to create a statistics counter object
`int` | `getDestinationType()`
`String` | `getTopicName()` Gets the name of this Topic.

Methods inherited from class org.codehaus.activemq.message.ActiveMQDestination
`buildFromProperties, compareTo, compareTo, createTemporaryName, equals, getChildDestinations, getClientId, getDestinationFilter, getDestinationPaths, getPhysicalName, getStats, hashCode, inspect, isComposite, isQueue, isTemporary, isTopic, isWildcard, matches, populateProperties, readFromStream, setPhysicalName, setStats, toString, transformDestination, writeToStream`

Methods inherited from class org.codehaus.activemq.jndi.JNDIBaseStorable
`getProperties, getReference, setProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Topic
`toString`

Constructor Detail

### ActiveMQTopic

    public ActiveMQTopic()

  Default constructor for an ActiveMQTopic Destination

### ActiveMQTopic

    public ActiveMQTopic(String name)

  Construct a named ActiveMQTopic Destination

Parameters:
  `name` -

Method Detail

### getTopicName

    public String getTopicName()

  Gets the name of this Topic.

  Clients that depend upon the name are not portable.

  Specified by:
    `getTopicName` in interface `Topic`
  Returns:
    the Topic name

### getDestinationType

    public int getDestinationType()

  Specified by:
    `getDestinationType` in class `ActiveMQDestination`
  Returns:
    Returns the Destination type

### createDestination

    protected Destination createDestination(String name)

  Description copied from class: `ActiveMQDestination`
  Factory method to create a child destination if this destination is a composite

  Specified by:
    `createDestination` in class `ActiveMQDestination`

### createDestinationStats

    protected JMSDestinationStats createDestinationStats()

  Description copied from class: `ActiveMQDestination`
  Factory method to create a statistics counter object

  Specified by:
    `createDestinationStats` in class `ActiveMQDestination`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.